﻿using System.IO;
using System.Reflection;
using Syncfusion.SfPdfViewer.XForms;
using Xamarin.Forms;

namespace PdfViewSharedApp
{
	public class TestPage : ContentPage
	{
		SfPdfViewer pdfViewerControl;
		public TestPage()
		{
			pdfViewerControl = new SfPdfViewer();
			var layout = new StackLayout()
			{
				HorizontalOptions = LayoutOptions.FillAndExpand,
				VerticalOptions = LayoutOptions.FillAndExpand,
				Children = { pdfViewerControl }
			};
			Content =  layout ;
		}
		protected override void OnAppearing()
		{
			base.OnAppearing();
			Stream documenStream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream("PdfViewSharedApp.Assets.GIS Succinctly.pdf");
			pdfViewerControl.MaximumZoomPercentage = 50;
			pdfViewerControl.LoadDocument(documenStream);


			/*var bytes = default(byte[]);
			using (var streamReader = new StreamReader(documenStream))
			{
				using (var memstream = new MemoryStream())
				{
					streamReader.BaseStream.CopyTo(memstream);
					bytes = memstream.ToArray();
				}
			}
			Stream stream = new MemoryStream(bytes);
			pdfViewerControl.LoadDocument(stream);*/
		}
	}
}