﻿using System;
using System.IO;
using System.Reflection;
using PdfViewSharedApp;
using PdfViewSharedApp.iOS;
using Syncfusion.SfPdfViewer.XForms;
using UIKit;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;

// [assembly: ExportRenderer(typeof(TestPage), typeof(TestPageRenderer))]
namespace PdfViewSharedApp.iOS
{
	public class TestPageRenderer : ViewRenderer
	{
		SfPdfViewer pdfViewerControl;
		private UIView parentView;
		protected override void OnElementChanged(ElementChangedEventArgs<View> e)
		{
			base.OnElementChanged(e);
			pdfViewerControl = new SfPdfViewer();
			Stream documenStream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream("PdfViewSharedApp.iOS.Resources.PDFs.Succinctly.pdf");
			pdfViewerControl.LoadDocument(documenStream);
		}
	}
}
